<?php
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modellist');
jimport('joomla.filesystem.file');

class DepositsModelDeposits extends JModelList
{
        public function getCityList(){
            $app = JFactory::getApplication();
            $db = JFactory::getDbo();
                 
                $query = $db->getQuery(true);
                 
                $query->select(array('city'));
                $query->from($db->quoteName('#__velesrealty_objects'));
                $query->group($db->quoteName('city'));
                $db->setQuery($query);

            return $db->loadAssocList();
        }
        public function sendContact()
        {
            $app = JFactory::getApplication();
            $inp = $app->input;

            $id = $inp->getString('id', null);
            $name = $inp->getString('name', null);
            $contact = $inp->getString('contact', null);

            $mail = '<p><h3>Заказ обратной связи с сайта</h3><p>Поступила заявка от </p>'.$name.', контакт для связи - '.$contact.' на объект с ID '.$id.'</p>';

            $mailer = JFactory::getMailer();
            $config = JFactory::getConfig();
               // die(var_dump($config->get( 'fromname' )));
            $sender = array(
                $config->get( 'mailfrom' ),
                $config->get( 'fromname' ) );
             
            $mailer->setSender($sender);
            $mailer->addRecipient($config->get( 'mailfrom' ));
            $mailer->setSubject('Заказ звонка с сайта');
            $mailer->isHTML(true);
            $mailer->Encoding = 'base64';
            $mailer->setBody($mail);
            $send = $mailer->Send();
            if ( $send !== true ) {
               die('error');
            } else {
               die('ok');
            }
        }
        public function getAjaxDeposits(){
            
            $app = JFactory::getApplication();
            $mindeposit = $app->input->getInt('mindeposit', 0);
            $maxdeposit = $app->input->getInt('maxdeposit', 0);
            $cash = $app->input->get('cash', 'rur');
            $period = $app->input->getInt('period', 0);
            $periodmax = $app->input->getInt('periodmax', 0);
            $periodtype = $app->input->getString('periodtype', 'day');
            $procent = $app->input->getInt('procent', 0);
            $procentmax = $app->input->getInt('procentmax', 0);
            $web = $app->input->get('web', 0);
            $office = $app->input->get('office', 0);
            $capitalization = $app->input->get('capitalization', 0);
            $popolnenie = $app->input->get('popolnenie', 0);
            $dosrok = $app->input->get('dosrok', 0);
            $chast = $app->input->get('chast', 0);
            $progressice = $app->input->get('progressice', 0);
            $pensioners = $app->input->get('pensioners', 0);
            
                // die(var_dump($procent));
            $db = JFactory::getDbo();
                 
                $query = $db->getQuery(true);
                $sql = "SELECT * FROM ".$db->quoteName('#__deposits_deposits'); 
                $sql .= " WHERE id > 0";
                //Мин депозит
                $sql .= " AND mindeposit <= '".$mindeposit."'";
                if($maxdeposit > 0){
                    $sql .= " AND maxdeposit < '".$maxdeposit."'";
                }
                //Процент
                if($procent > 0){
                    $sql .= " AND procent >= ".$procent;
                }
                //Процент макс
                if($procentmax > 0){
                    $sql .= " AND procentmax <= ".$procentmax;
                }
                //Период
                if($period > 0){
                    $sql .= " AND period >= ".$period;
                }
                //Период макс
                if($periodmax > 0){
                    $sql .= " AND periodmax <= ".$periodmax;
                }
                //Валюта
                $sql .= " AND cash = '".$cash."'";

                //Пенсионерам
                if($pensioners === 'true'){
                    $sql .= " AND pensioners = 1";
                }
                //Прогрессивная шкала
                if($progressice === 'true'){
                    $sql .= " AND progressice = 1";
                }
                //Частичное досрочное снятие
                if($chast === 'true'){
                    $sql .= " AND chast = 1";
                }
                //Возможность пополнения
                if($popolnenie === 'true'){
                    $sql .= " AND popolnenie = 1";
                }
                //Капитализация процентов
                if($capitalization === 'true'){
                    $sql .= " AND capitalization = 1";
                }
                //Оформление в офисе
                if($office === 'true'){
                    $sql .= " AND office = 1";
                }
                //Интернет оформление
                if($web === 'true'){
                    $sql .= " AND web = 1";
                }

                $db->setQuery($sql);
            $deposits = $db->loadAssocList();
            foreach ($deposits as $key => &$value) {
                $deposits[$key]['link'] = JRoute::_('index.php?com=com_deposits&view=deposits&id='.$deposits[$key]['id']);
            }
            die(json_encode($deposits));
        }
       
        public function getDeposit($id){
                $db = JFactory::getDbo();
                 
                $query = $db->getQuery(true);
                 
                $query->select(  array('*')  );
                $query->from($db->quoteName('#__deposits_deposits'));
                $query->where(' id = '. $id );
                 
                $db->setQuery($query);
                 
                return $results = $db->loadObject();
        }
        public function getAgentInfo($id)
        {
            $db = JFactory::getDbo();

            $query = $db->getQuery(true);
            $query->select(array('a.id', 'u.username', 'u.name', 'a.description', 'a.mobile'));
            $query->from('#__velesrealty_agents AS a');
            $query->join('INNER', '#__users AS u ON ( u.id = a.id )');
            $query->where('a.id = ' . $id );
            $db->setQuery($query);
            return $results = $db->loadObjectList();
        }

}